apiVersion: batch/v1
kind: Job
metadata:
  name: redis-cluster-starter
spec:
  backoffLimit: 3
  ttlSecondsAfterFinished: 180
  template:
    spec:
      restartPolicy: Never
      containers:
      - name: redis-cluster-starter
        image: redis:7.2-rc2
        command:
            - sh
            - -c
            - /utils/start.cluster.sh $CLUSTER_INSTANCES $PING_RETRIES $PING_DELAY_SECS $SERVICE_NAME $INSTANCE_NAME
        env:
          - name: CLUSTER_INSTANCES
            value: "6"
          - name: PING_RETRIES
            value: "10"
          - name: PING_DELAY_SECS
            value: "10"
          - name: SERVICE_NAME
            value: REPLACE_ME
          - name: INSTANCE_NAME
            value: REPLACE_ME
          - name: REDISCLI_AUTH
            valueFrom:
              secretKeyRef:
                name: redis-config-secret
                key: password
        volumeMounts:
            - mountPath: /utils
              name: utils
      initContainers:
        - name: wait-for-redis-instances
          image: redis:7.2-rc2
          command:  
            - sh
            - -c
            - /utils/wait.for.cluster.sh $CLUSTER_INSTANCES $PING_RETRIES $PING_DELAY_SECS $SERVICE_NAME $INSTANCE_NAME
          env:
            - name: CLUSTER_INSTANCES
              value: "6"
            - name: PING_RETRIES
              value: "20"
            - name: PING_DELAY_SECS
              value: "10"
            - name: SERVICE_NAME
              value: "REPLACE_ME"
            - name: INSTANCE_NAME
              value: REPLACE_ME
            - name: REDISCLI_AUTH
              valueFrom:
                secretKeyRef:
                  name: redis-config-secret
                  key: password
          volumeMounts:
            - mountPath: /utils
              name: utils
      volumes:
        - name: utils
          configMap:
            name: redis-cluster-starter-config
            defaultMode: 0755
            items:
              - key: start.cluster.sh
                path: start.cluster.sh
              - key: wait.for.cluster.sh
                path: wait.for.cluster.sh
              